Bug 168637 - [ACPI][rawhide] dma no longer enabled on thinkpad 770Z hdd
[ACPI][rawhide] dma no longer enabled on thinkpad 770Z hdd
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-18 16:19 EDT by Fabrice Bellet
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-23 04:48:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Boot log of 2.6.12-1.1450_FC4 (8.66 KB, text/plain)
2005-09-18 16:19 EDT, Fabrice Bellet
no flags Details
boot log of kernel 2.6.13-1.1558_FC5 (9.93 KB, text/plain)
2005-09-18 16:21 EDT, Fabrice Bellet
no flags Details

  None (edit)
Description Fabrice Bellet 2005-09-18 16:19:13 EDT
Something changed between 2.6.12-1.1450_FC4 and 2.6.13-1.1558_FC5 in the IDE
code. The disk of my old 770Z thinkpad no longer starts with dma enabled. It
fails with dma_timer_expiry: dma status == 0x21, DMA timeout error. The
workaround to boot with ide=nodma works for me. boot logs follow as attachment.

[root@dhcp9 ~]# more /tmp/hdparm.2

 multcount    = 16 (on)
 IO_support   =  0 (default 16-bit)
 unmaskirq    =  0 (off)
 using_dma    =  0 (off)
 keepsettings =  0 (off)
 readonly     =  0 (off)
 readahead    = 256 (on)
 geometry     = 29216/15/63, sectors = 27609120, start = 0

 Model=IBM-DARA-215000, FwRev=GL5HA52A, SerialNo=GY0GYL10738
 Config={ HardSect NotMFM HdSw>15uSec Fixed DTR>10Mbs }
 RawCHS=16383/15/63, TrkSize=0, SectSize=0, ECCbytes=4
 BuffType=DualPortCache, BuffSize=418kB, MaxMultSect=16, MultSect=16
 CurCHS=16383/15/63, CurSects=15481935, LBA=yes, LBAsects=27609120
 IORDY=on/off, tPIO={min:240,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes:  pio0 pio1 pio2 pio3 pio4
 DMA modes:  mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 *udma2 udma3 udma4
 AdvancedPM=yes: mode=0x9F (159) WriteCache=enabled
 Drive conforms to: ATA/ATAPI-4 T13 1153D revision 17:  1 2 3 4

 * signifies the current active mode
Comment 1 Fabrice Bellet 2005-09-18 16:19:13 EDT
Created attachment 118950 [details]
Boot log of 2.6.12-1.1450_FC4
Comment 2 Fabrice Bellet 2005-09-18 16:21:16 EDT
Created attachment 118951 [details]
boot log of kernel 2.6.13-1.1558_FC5
Comment 3 Fabrice Bellet 2005-09-25 13:27:59 EDT
booting with "acpi=force pci=noacpi" works around the problem. This laptop is
rather old, so APM is used instead of ACPI by default. And pci=noacpi is also
needed in this case to properly handle IRQs.
Comment 4 Alan Cox 2006-01-19 05:47:40 EST
Should no longer be a problem because the ACPI cutoff date is enabled again

Can you close the bug if current rawhide is ok ?
Comment 5 Fabrice Bellet 2006-01-23 04:48:11 EST
yes, DMA works again on rawhide, both with ACPI and with APM. thanks.

Note You need to log in before you can comment on or make changes to this bug.